List Targets Subscribed to Image
get
https://EM_HOST:EM_CONSOLE_HTTPS_PORT/em/api/goldImages/{goldImageId}/targets
Lists targets subscribed to image
Request
Path Parameters
-
goldImageId(required): string
ID of the image
Query Parameters
-
limit: integer(int32)
Limits number of items returned in current call. Use the self/previous/next links from the response to fetch additional items.Default Value:
50 -
page: string
Identifies the set of items to be fetched; "href" element from "links" list of the response provides encoded value for this parameter. "href" element value should be used "as is" for fetching respective set of items.Default Value:
Base64 encode value of 0 i.e MA== -
sort: string
Comma separated list of fields along with an optional sort direction. The supported attributes of sorting are 'targetName'.Valid sort directions include asc and desc. If sort direction is not specified asc is used by default.Example:
targetName:asc
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Ok. Image subscription details retrieved.
Root Schema : GoldImageTargetCollection
Type:
objectImage subscription response
Show Source
-
items(required): array
items
List of the image subscription summary
Match All
Image subscription response
Show Source
-
object
Pagination
Collection of items with links
Nested Schema : items
Type:
arrayList of the image subscription summary
Show Source
-
Array of:
object ImageSubscriptionSummary
Image subscription summary
Nested Schema : Pagination
Type:
objectCollection of items with links
Show Source
-
count: integer
Count of this fetchExample:
40 -
links: object
Links
Represents the array of links
-
total: integer
total countExample:
40
Nested Schema : ImageSubscriptionSummary
Type:
objectImage subscription summary
Show Source
-
imageId: string
ID of the imageExample:
4B7738536B6E7888E053057FB10ACF8C -
parentId: string
ID of the parent targetExample:
01DB50F6963F0E39C72F8651DCC93A6A -
targetId: string
ID of the targetExample:
4B620EC24DCE61FAE053057FB10AC7D0 -
targetName: string
Name of the targetExample:
sales_db1 -
targetType: string
Target typeExample:
oracle_database -
timeSubscribed: string
(date-time)
Time of subscriptionExample:
2022-01-13 15:52:28.0
Nested Schema : Links
Type:
objectRepresents the array of links
Show Source
-
next: object
Link
A link
-
previous: object
Link
A link
-
self: object
Link
A link
Examples
400 Response
Bad Request
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
customer facing error code
-
details: array
details
(Optional) List of additional details for the errors found.
-
message(required): string
customer facing error description
Nested Schema : details
Type:
array(Optional) List of additional details for the errors found.
Show Source
-
Array of:
object ErrorDetail
listed as part of ErrorResponse
Nested Schema : ErrorDetail
Type:
objectlisted as part of ErrorResponse
Show Source
-
message(required): string
specific error description
401 Response
Client is not authenticated
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
customer facing error code
-
details: array
details
(Optional) List of additional details for the errors found.
-
message(required): string
customer facing error description
Nested Schema : details
Type:
array(Optional) List of additional details for the errors found.
Show Source
-
Array of:
object ErrorDetail
listed as part of ErrorResponse
Nested Schema : ErrorDetail
Type:
objectlisted as part of ErrorResponse
Show Source
-
message(required): string
specific error description
403 Response
Forbidden. The user is forbidden to perform the requested operation
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
customer facing error code
-
details: array
details
(Optional) List of additional details for the errors found.
-
message(required): string
customer facing error description
Nested Schema : details
Type:
array(Optional) List of additional details for the errors found.
Show Source
-
Array of:
object ErrorDetail
listed as part of ErrorResponse
Nested Schema : ErrorDetail
Type:
objectlisted as part of ErrorResponse
Show Source
-
message(required): string
specific error description
404 Response
Resource not found or not authorized for access
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
customer facing error code
-
details: array
details
(Optional) List of additional details for the errors found.
-
message(required): string
customer facing error description
Nested Schema : details
Type:
array(Optional) List of additional details for the errors found.
Show Source
-
Array of:
object ErrorDetail
listed as part of ErrorResponse
Nested Schema : ErrorDetail
Type:
objectlisted as part of ErrorResponse
Show Source
-
message(required): string
specific error description
500 Response
Internal Server Error
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
customer facing error code
-
details: array
details
(Optional) List of additional details for the errors found.
-
message(required): string
customer facing error description
Nested Schema : details
Type:
array(Optional) List of additional details for the errors found.
Show Source
-
Array of:
object ErrorDetail
listed as part of ErrorResponse
Nested Schema : ErrorDetail
Type:
objectlisted as part of ErrorResponse
Show Source
-
message(required): string
specific error description
503 Response
Indicates that a required service is not available
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
customer facing error code
-
details: array
details
(Optional) List of additional details for the errors found.
-
message(required): string
customer facing error description
Nested Schema : details
Type:
array(Optional) List of additional details for the errors found.
Show Source
-
Array of:
object ErrorDetail
listed as part of ErrorResponse
Nested Schema : ErrorDetail
Type:
objectlisted as part of ErrorResponse
Show Source
-
message(required): string
specific error description